Loading...
Searching...
No Matches
Dune::Functions::Concept::GridViewFunction< Range(Domain), GridView > Struct Template Reference
Functions » Function concepts

Concept for a grid view function mapping `Domain` to `Range`. More...

`#include <dune/functions/common/functionconcepts.hh>`

Inheritance diagram for Dune::Functions::Concept::GridViewFunction< Range(Domain), GridView >:

## Public Member Functions

template<class F>
auto | require (F &&f) -> decltype(0)

## Detailed Description

template<class Range, class Domain, class GridView>
struct Dune::Functions::Concept::GridViewFunction< Range(Domain), GridView >

Concept for a grid view function mapping `Domain` to `Range`.

This exactly the Concept::GridFunction<Range(Domain), EntitySet> concept with a GridViewEntitySet as `EntitySet`.

Template Parameters

  Domain | Domain type
  Range | Range type
  GridView | GridView on which the function can be localized

## Member Function Documentation

## require()

template<class Range, class Domain, class GridView>
template<class F>

auto Dune::Functions::Concept::GridViewFunction< Range(Domain), GridView >::require | ( | F && | f | ) | ->decltype(0)

The documentation for this struct was generated from the following file:

- functionconcepts.hh